Перед обновлением установите все доступные обновления для вашего выпуска. Не удается выполнить обновление до 20.10 с 20.04.1

По порядку, я попытался:

  1. sudo apt-get update
  2. sudo apt-get upgrade
  3. sudo apt-get dist-upgrade
  4. sudo do-release-upgrade

После выполнения последнего шага было получено Пожалуйста, установите все доступные обновления для вашего выпуска перед обновлением .Я также попробовал описанное выше, используя только apt , а не apt-get (согласно предыдущей публикации на askUbuntu) ... Я получаю то же сообщение после перехода к шагу 4. i попытался запустить sudo apt autoremove после этапа обновления, но этого не произошло. Я попытался удалить пакеты, которые не удалось обновить после выполнения шага 2, но это не помогло (был dotnet-sdk, который нельзя было обновить). notify устанавливается для любой новой версии ubuntu. также попытался выполнить шаги 1–3, затем sudo update-manager , но я получил то же сообщение. мой выпуск из lsb_release -a равен

  • Dist ID - Ubuntu
  • Desc - Ubuntu 20.04.1 LTS
  • Release - 20.04
  • Codename - focal

Мои сторонние источники :

РЕДАКТИРОВАТЬ:

отключение teamviewer и chrome в моих сторонних источниках устранило ошибку.

0
задан 30 November 2020 в 17:21

0 ответов

Другие вопросы по тегам:

Похожие вопросы: